GNU bug report logs - #26604
documentation: pdf generation is broken

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: ng0 <contact.ng0@HIDDEN>; dated Sat, 22 Apr 2017 11:11:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 26604 <at> debbugs.gnu.org:


Received: (at 26604) by debbugs.gnu.org; 5 May 2017 18:54:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 05 14:54:00 2017
Received: from localhost ([127.0.0.1]:56727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d6iMa-0004Lo-Li
	for submit <at> debbugs.gnu.org; Fri, 05 May 2017 14:54:00 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40786)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1d6iMZ-0004Lb-6L
 for 26604 <at> debbugs.gnu.org; Fri, 05 May 2017 14:53:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1d6iMR-0005yB-0k
 for 26604 <at> debbugs.gnu.org; Fri, 05 May 2017 14:53:54 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37950)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1d6iMQ-0005y6-UI; Fri, 05 May 2017 14:53:50 -0400
Received: from reverse-83.fdn.fr ([80.67.176.83]:40652 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1d6iMQ-0003k3-8s; Fri, 05 May 2017 14:53:50 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Chris Marusich <cmmarusich@HIDDEN>
Subject: Re: bug#26604: documentation: pdf generation is broken
References: <20170422110947.pyepomrq4s3zzntr@abyayala>
 <87tw5fu5dr.fsf@HIDDEN>
Date: Fri, 05 May 2017 20:53:47 +0200
In-Reply-To: <87tw5fu5dr.fsf@HIDDEN> (Chris Marusich's message of "Sat, 22
 Apr 2017 21:14:56 -0700")
Message-ID: <874lwz2kzo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26604
Cc: ng0 <contact.ng0@HIDDEN>, 26604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Chris Marusich <cmmarusich@HIDDEN> skribis:

> ng0 <contact.ng0@HIDDEN> writes:
>
>> As long as I run guix I was never able to build the documentation
>> as pdf. What's wrong with it?
>>
>> [user@abyayala ~/src/guix/guix]$ make doc/guix.pdf
>>   TEXI2PDF doc/guix.pdf
>>   /gnu/store/jz7jq4w8d4czvgnk9as07rrdbcfjjgjj-profile/bin/texi2dvi: pdft=
ex exited with bad status, quitting.
>>   make: *** [Makefile:3591: doc/guix.pdf] Error 1
>
> I looked into this a week or two ago.  I think we're waiting for a newer
> release of automake?

AFAIK the =E2=80=98texinfo.tex=E2=80=99 file that Automake 1.15 installs is=
 good enough,
as shown by
<https://hydra.gnu.org/job/gnu/master/guix-0.12.0-9.25a4.x86_64-linux>
<https://hydra.gnu.org/build/2017216/log/raw>.

Can you try running =E2=80=9Cautoreconf -vfi=E2=80=9D with Automake 1.15 in=
stalled?

FWIW, I have:

--8<---------------cut here---------------start------------->8---
$ grep def.texinfoversion build-aux/texinfo.tex=20
\def\texinfoversion{2016-09-18.18}
$ grep def.texinfoversion $(find $(guix build automake) -name texinfo.tex)
\def\texinfoversion{2013-02-01.11}
$ grep def.texinfoversion ~/src/gnulib/build-aux/texinfo.tex=20
\def\texinfoversion{2017-04-14.11}
$ (cd ~/src/gnulib/ ; git describe)
v0.1-1312-ga87d5e5c6
--8<---------------cut here---------------end--------------->8---

HTH,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#26604; Package guix. Full text available.

Message received at 26604 <at> debbugs.gnu.org:


Received: (at 26604) by debbugs.gnu.org; 23 Apr 2017 18:42:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 23 14:42:48 2017
Received: from localhost ([127.0.0.1]:36743 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d2MT9-0002Hi-Vj
	for submit <at> debbugs.gnu.org; Sun, 23 Apr 2017 14:42:48 -0400
Received: from mail-it0-f44.google.com ([209.85.214.44]:36342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1d2MT8-0002HW-1P
 for 26604 <at> debbugs.gnu.org; Sun, 23 Apr 2017 14:42:46 -0400
Received: by mail-it0-f44.google.com with SMTP id g66so34483893ite.1
 for <26604 <at> debbugs.gnu.org>; Sun, 23 Apr 2017 11:42:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version; bh=C0vyFSX69G0JJ19US2mwRL94aXvH6EbGd1QfnJ49GHs=;
 b=iqWwMfPBIrDSq2SZ8DS4XJw1ngNnolhV0MD2bPfGe1I1zLDm19XAv0QfZ+eb685tpI
 KrNfttT1soVDc0Hl02G4UhjAzCN5gnzKmQZp9ubL0uYhXuNwHlHKjCfq1JhfxBa4KhIZ
 ny8GyaZzBnNmecZim2ihc6UzhgZazFZMwg8FOfOlU+lsSX4UsogQ3NPt9o6885O/GOCi
 nS5oWRbMlJ6TcN4fovcM0fqppSN0jGztZ2Sz1hUJqA66HDU3Au5TS+ZgibqPeAD1NL3F
 Y2m3en68H/S6VwW/HycqRleFqRDX/kJwf5BHrPGjaunrgoRF4hETRlJHfrqHd1mXIN1p
 yu/w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=C0vyFSX69G0JJ19US2mwRL94aXvH6EbGd1QfnJ49GHs=;
 b=pZ97eb/iW1Uw3kUIFBuex/AMLLbAXRGMcDFVEzPQXOdi8CJqjicKl1zcITRa+35QGz
 jEZI8mrAV7xIctb3IDF9ZXzp7qShCchVjxPXEQj25dfxbdxDs6NGBwKdZ7tXCn/ItA+B
 CaEy9i/IZ73Ni/EC3HYOxU8dQbIjvARj65FolTWRn3Z8DBspdRzsz2sw8qKcj55MVO3k
 VMTu5gTpbL+r8nkYYTz5tpNIKXd0vzvSdudI5HjYG4XIp9RPjq3nafkNhjA7747Yo9X3
 f+EqPBd06xRvnkwUunPg3nB0suiEkBaZVEIa0L+1K0NJfQBuJw7ScggLYZ//bZep3+st
 c3Jw==
X-Gm-Message-State: AN3rC/4R5V9sqSYsRMBm0MlEYFuKouFjEbfI9+XfsMFd8meKi/xBiNXI
 lsUMc0P9NsTLpnKI
X-Received: by 10.99.155.17 with SMTP id r17mr21151068pgd.193.1492972959728;
 Sun, 23 Apr 2017 11:42:39 -0700 (PDT)
Received: from garuda ([2601:602:9d02:4725:4e0f:6eff:fef6:70b9])
 by smtp.gmail.com with ESMTPSA id 66sm26523581pfg.14.2017.04.23.11.42.37
 for <26604 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 23 Apr 2017 11:42:38 -0700 (PDT)
From: Chris Marusich <cmmarusich@HIDDEN>
To: 26604 <at> debbugs.gnu.org
Subject: Re: bug#26604: documentation: pdf generation is broken
References: <20170422110947.pyepomrq4s3zzntr@abyayala>
 <87tw5fu5dr.fsf@HIDDEN> <20170423161543.y6w7mhp7uezeywjo@abyayala>
Date: Sun, 23 Apr 2017 11:42:37 -0700
In-Reply-To: <20170423161543.y6w7mhp7uezeywjo@abyayala> (ng0@HIDDEN's
 message of "Sun, 23 Apr 2017 16:15:43 +0000")
Message-ID: <87mvb7hso2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 26604
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

ng0@HIDDEN writes:

> Chris Marusich transcribed 1.7K bytes:
>> ng0 <contact.ng0@HIDDEN> writes:
>>=20
>> > As long as I run guix I was never able to build the documentation
>> > as pdf. What's wrong with it?
>> >
>> > [user@abyayala ~/src/guix/guix]$ make doc/guix.pdf
>> >   TEXI2PDF doc/guix.pdf
>> >   /gnu/store/jz7jq4w8d4czvgnk9as07rrdbcfjjgjj-profile/bin/texi2dvi: pd=
ftex exited with bad status, quitting.
>> >   make: *** [Makefile:3591: doc/guix.pdf] Error 1
>>=20
>> I looked into this a week or two ago.  I think we're waiting for a newer
>> release of automake?  Perhaps John Darrington knows more.  See this
>> email thread, which I found at the time and seems to contain the
>> relevant information:
>>=20
>> https://lists.gnu.org/archive/html/guix-devel/2017-02/msg01074.html
>>=20
>> --=20
>> Chris
>
> Oh, right=E2=80=A6 I've seen this scroll by some time ago.
> Okay, since there is no associated open bug (at least with the
> obvious keywords), I'll leave this bug open and once
> the .pdf generates again it can be closed.

Sounds good.  I guess I should have opened up a bug report myself.
Thank you for doing it!

=2D-=20
Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAlj89Z0ACgkQ3UCaFdgi
Rp1lMg//Q2D/NEfzt9NPqI6ccGss71ezsp9aW2hHDtNdLDmdmYAcUFEJYygLHw6S
wpuPeM90hmDd0vlRv6kbII2ctw7ftJ1X+gtQWPZY/i1qv+Kk2J47xRkJrS4NDZKg
tFic+StnzngnxxDKBPR9sfRPrp5npuSeTxzNgSJjNfecThqJutq1qIB89L4Is4xL
0RIBZdWNKh8jv7LVvFq/BAGBvcxKu48HXERg1e99QaBxnL91Ht7+E0rrXh1e8xQ2
r1VwDMY2j8bA39wvTRFk7lVRr91PZnhjV5ec/98rh56GdXKmNVom4mWwuiB9Vtta
P/9ltcSdPxiVp9/Fqw+YC4rYZhXC7qJTyiQkwp0Ikl4Th2lybIkD0uRYe0mgMzsd
saAGHJf4YpX9flvx7GezO7JvWiowHsuF3+6ZKe5vYPK9o+WHlQNgDoGjbA6nlsxv
zfq962u05k7CR2CYOplbupNQxKi2WTL0Rhjc0spbQmQRudevPTxCmtqa+xraf0N8
Kaodi+l1NXqUbS2xKBauf/TlYhRxt902dqGZrCzxKOvLniwFaNdTQh3tnDd1n2NQ
1zcEYsuZi8gMzHRZDRC7YxjuFsZARQeSc2BhUWmFptX3quIRfm/xBvARKJXt2uY3
JrcyS04GTOHrH2O6Tux5FpmY/L4fNgVrgnwMYcr29V0inIqeQdM=
=/od1
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#26604; Package guix. Full text available.

Message received at 26604 <at> debbugs.gnu.org:


Received: (at 26604) by debbugs.gnu.org; 23 Apr 2017 16:29:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 23 12:29:06 2017
Received: from localhost ([127.0.0.1]:36632 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d2KNm-0005eo-04
	for submit <at> debbugs.gnu.org; Sun, 23 Apr 2017 12:29:06 -0400
Received: from 93-95-228-241.1984.is ([93.95.228.241]:50994
 helo=sharknado9001.pragmatique.xyz)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ng0@HIDDEN>) id 1d2KAy-0005M6-FQ
 for 26604 <at> debbugs.gnu.org; Sun, 23 Apr 2017 12:15:53 -0400
Received: by sharknado9001.pragmatique.xyz (OpenSMTPD) with ESMTPSA id
 12b1a4c1 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Sun, 23 Apr 2017 16:15:41 +0000 (UTC)
Date: Sun, 23 Apr 2017 16:15:43 +0000
From: ng0@HIDDEN
To: Chris Marusich <cmmarusich@HIDDEN>
Subject: Re: bug#26604: documentation: pdf generation is broken
Message-ID: <20170423161543.y6w7mhp7uezeywjo@abyayala>
Mail-Followup-To: Chris Marusich <cmmarusich@HIDDEN>, 26604 <at> debbugs.gnu.org
References: <20170422110947.pyepomrq4s3zzntr@abyayala>
 <87tw5fu5dr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87tw5fu5dr.fsf@HIDDEN>
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 26604
X-Mailman-Approved-At: Sun, 23 Apr 2017 12:29:04 -0400
Cc: 26604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.4 (/)

Chris Marusich transcribed 1.7K bytes:
> ng0 <contact.ng0@HIDDEN> writes:
> 
> > As long as I run guix I was never able to build the documentation
> > as pdf. What's wrong with it?
> >
> > [user@abyayala ~/src/guix/guix]$ make doc/guix.pdf
> >   TEXI2PDF doc/guix.pdf
> >   /gnu/store/jz7jq4w8d4czvgnk9as07rrdbcfjjgjj-profile/bin/texi2dvi: pdftex exited with bad status, quitting.
> >   make: *** [Makefile:3591: doc/guix.pdf] Error 1
> 
> I looked into this a week or two ago.  I think we're waiting for a newer
> release of automake?  Perhaps John Darrington knows more.  See this
> email thread, which I found at the time and seems to contain the
> relevant information:
> 
> https://lists.gnu.org/archive/html/guix-devel/2017-02/msg01074.html
> 
> -- 
> Chris

Oh, right… I've seen this scroll by some time ago.
Okay, since there is no associated open bug (at least with the
obvious keywords), I'll leave this bug open and once
the .pdf generates again it can be closed.

-- 
PGP and more: https://people.pragmatique.xyz/ng0/




Information forwarded to bug-guix@HIDDEN:
bug#26604; Package guix. Full text available.

Message received at 26604 <at> debbugs.gnu.org:


Received: (at 26604) by debbugs.gnu.org; 23 Apr 2017 04:15:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 23 00:15:10 2017
Received: from localhost ([127.0.0.1]:35049 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d28vW-0001Q7-6z
	for submit <at> debbugs.gnu.org; Sun, 23 Apr 2017 00:15:10 -0400
Received: from mail-it0-f53.google.com ([209.85.214.53]:34762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1d28vU-0001Pt-Q2
 for 26604 <at> debbugs.gnu.org; Sun, 23 Apr 2017 00:15:09 -0400
Received: by mail-it0-f53.google.com with SMTP id 193so5917699itm.1
 for <26604 <at> debbugs.gnu.org>; Sat, 22 Apr 2017 21:15:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=xNSVE9/XFNqnmejcsbW7shUXacn4SxTQTS1YLthDlfI=;
 b=s6VK8rG41CRHLxuPvC4RGhG+QkcVyYZyIzR7fx3WXrhFJsJa5LQN3Xf30CI/ni+MQg
 nyExf6pTAA3hrE25H6XSaQNfSBnuHP7DXVt3rINLzh0ATWoBLgiFajqRnIVTMzf0JxD6
 /hnCv73yOSh2RHNeesyX5sZoQc+xW7j6APqabHakPeUD8MLvZsWJml1W5x4PjcLRwtx8
 YrSItbMzYq2wwQ5QRW0tIzQJoMrtrnFqimiC/T7Q2PTIKfd72qMhKL8K/lg4crHs+ecX
 U7kTjFZMPFHa/mM1hdHaEKUu58GPVeLhPlDxHYNOxyi/FIwMrmM28sZ7r2E4frE0Lj+K
 23eg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=xNSVE9/XFNqnmejcsbW7shUXacn4SxTQTS1YLthDlfI=;
 b=le/0Aw+ixw0RRXGIneZ56gFMh/RLIB3NTrFSEOfaTLy6yJuSHcDrxQbsAHl4TNWis4
 PJQLZfTocBaO+mEZSmq3LLlwTDxGaILjc80JrshWGh3+3iSRpdPAQzmoF+XVm8MLiW8P
 dgSkjKV/jLT4Ks/HWpddYBKwC2adpwhCXgc0Uzm0gXPjr5sRyl1Ps93eScmeJ0zs9n/p
 QpZ+2mGNGMdxmZH1AfPM3myZzLKRdWg4iMu9MNrgO6Sgl/rfzcWKjsjXRYuvmx+a0UqO
 ulISVE4TglfUnrghAeL3e5bUu1CKBxyNBMsIGv9boN6dOBigCG99gRBLoTxU3O4YmKrF
 R9og==
X-Gm-Message-State: AN3rC/5kOSpmZ+U9rWtN/mEb0dOl7ci5dC3l+/I8m/PNZMVwJ+255Jfq
 dP4G/ScC+DMcqA==
X-Received: by 10.84.238.137 with SMTP id v9mr24430568plk.189.1492920902750;
 Sat, 22 Apr 2017 21:15:02 -0700 (PDT)
Received: from garuda ([172.58.46.129])
 by smtp.gmail.com with ESMTPSA id a190sm23673992pgc.60.2017.04.22.21.15.00
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 22 Apr 2017 21:15:01 -0700 (PDT)
From: Chris Marusich <cmmarusich@HIDDEN>
To: ng0 <contact.ng0@HIDDEN>
Subject: Re: bug#26604: documentation: pdf generation is broken
References: <20170422110947.pyepomrq4s3zzntr@abyayala>
Date: Sat, 22 Apr 2017 21:14:56 -0700
In-Reply-To: <20170422110947.pyepomrq4s3zzntr@abyayala> (ng0's message of
 "Sat, 22 Apr 2017 11:09:47 +0000")
Message-ID: <87tw5fu5dr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 26604
Cc: 26604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

ng0 <contact.ng0@HIDDEN> writes:

> As long as I run guix I was never able to build the documentation
> as pdf. What's wrong with it?
>
> [user@abyayala ~/src/guix/guix]$ make doc/guix.pdf
>   TEXI2PDF doc/guix.pdf
>   /gnu/store/jz7jq4w8d4czvgnk9as07rrdbcfjjgjj-profile/bin/texi2dvi: pdfte=
x exited with bad status, quitting.
>   make: *** [Makefile:3591: doc/guix.pdf] Error 1

I looked into this a week or two ago.  I think we're waiting for a newer
release of automake?  Perhaps John Darrington knows more.  See this
email thread, which I found at the time and seems to contain the
relevant information:

https://lists.gnu.org/archive/html/guix-devel/2017-02/msg01074.html

=2D-=20
Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAlj8KkAACgkQ3UCaFdgi
Rp1dYA//aF7tvVpKXCJbGouY1piZlocSlgnphduWjmcqmYmAVBtOvhwr+iNPw511
4+3iO9g/HW9TEw4aIelJmkm3yyQuEyr78a0SiSAmREEs5CQ8GEeO3ZAtFABzYLzj
pX1JQ0uJ4rGUHWHdl+eSAfwZQX7YUV8K8uH1F6/PcbUOdPp0j7SKa89cBfpvhPag
MtNqP1xlA3vwo7T2/WY2jNp0gJKIxpaAD0XCY4kKNpelTpn2jNB+ZMC+r6mc2Svv
w8x+hTkqbP5fZNoq8YvB4e1vn4m9B4+qYM3jhJ71Tzw4jz3t7mnsDoXHOmkhZwD4
rRAXi+H5IKrQma5msCTrr/4FyZ3R5yEfMkDvkIHDfbAsRg5yHJwS/hvqKHSuoJow
e7DfgQ6nLnB92a/Qg9SA87CgFBd5ggLhyfgDgBwGxxPQMLm9m/OCVQJFPAoOjT6N
HpTm0T/p6bODasXDxC/4UuYt+t5pmgrMcbkGNKNS28sJglV38ZEO/j0AtOc7x6NQ
0Y7hKOJRKAGevHYst9QAghTHkl7yElm5+exsHHa3lnVnYArNVnx8iKp8GQa4UFf3
EsURtdV13ALSWLUYIT5oq8IkajfJPuEu3gPNvYVlVif2cpTbSIfIvj4Cj6o9GDTY
uO9oF2NWD7E+fVKLuMMJ3zVI3ViNY5d3Q6Tb0tL2pXmgquONAnE=
=VsHm
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#26604; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Apr 2017 11:10:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 22 07:10:04 2017
Received: from localhost ([127.0.0.1]:33232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d1svU-0005IT-AU
	for submit <at> debbugs.gnu.org; Sat, 22 Apr 2017 07:10:04 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36297)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contact.ng0@HIDDEN>) id 1d1svS-0005Hv-P9
 for submit <at> debbugs.gnu.org; Sat, 22 Apr 2017 07:10:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <contact.ng0@HIDDEN>) id 1d1svM-0001uS-Gw
 for submit <at> debbugs.gnu.org; Sat, 22 Apr 2017 07:09:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42018)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <contact.ng0@HIDDEN>)
 id 1d1svM-0001uO-Db
 for submit <at> debbugs.gnu.org; Sat, 22 Apr 2017 07:09:56 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55498)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <contact.ng0@HIDDEN>) id 1d1svL-00016K-Aa
 for bug-guix@HIDDEN; Sat, 22 Apr 2017 07:09:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <contact.ng0@HIDDEN>) id 1d1svI-0001sj-5l
 for bug-guix@HIDDEN; Sat, 22 Apr 2017 07:09:55 -0400
Received: from perdizione.investici.org ([94.23.50.208]:60356)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <contact.ng0@HIDDEN>)
 id 1d1svH-0001sa-Ra
 for bug-guix@HIDDEN; Sat, 22 Apr 2017 07:09:52 -0400
Received: from [94.23.50.208] (perdizione [94.23.50.208]) (Authenticated
 sender: niasterisk@HIDDEN) by localhost (Postfix) with ESMTPSA id
 D95771201DF
 for <bug-guix@HIDDEN>; Sat, 22 Apr 2017 11:09:49 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cryptolab.net;
 s=stigmate; t=1492859390;
 bh=up4Dqn1AVxvTJASreFmGhdjnns0cmiudmYEHx86+V4M=;
 h=Date:From:To:Subject;
 b=LHIOHSBmZ/qnP4A+jVet1AE0l/xmmObo8rSB6yXJQ3dSGAqv6zVs+yEa4ym5W3X4R
 n01Tn329HnONnzHMLQXYjPN9uwj6SOnasHzGgFZo7ZvU/xXVuYUt9KnfcsGyiXPAy6
 DyBWhD1ce8YT3r/A0jBqBRXVIo84UFCILLvdjmGY=
Date: Sat, 22 Apr 2017 11:09:47 +0000
From: ng0 <contact.ng0@HIDDEN>
To: bug-guix@HIDDEN
Subject: documentation: pdf generation is broken
Message-ID: <20170422110947.pyepomrq4s3zzntr@abyayala>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

As long as I run guix I was never able to build the documentation
as pdf. What's wrong with it?

[user@abyayala ~/src/guix/guix]$ make doc/guix.pdf
  TEXI2PDF doc/guix.pdf
  /gnu/store/jz7jq4w8d4czvgnk9as07rrdbcfjjgjj-profile/bin/texi2dvi: pdftex exited with bad status, quitting.
  make: *** [Makefile:3591: doc/guix.pdf] Error 1

-- 
PGP and more: https://people.pragmatique.xyz/ng0/




Acknowledgement sent to ng0 <contact.ng0@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#26604; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 5 May 2017 19:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.